Package org.eclipse.emf.compare.ide.internal.utils

# Class ForwardingXMLDefaultHandler

java.lang.Object
org.xml.sax.helpers.DefaultHandler
org.eclipse.emf.compare.ide.internal.utils.ForwardingXMLDefaultHandler

All Implemented Interfaces:
  `XMLDefaultHandler`, `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`, `LexicalHandler`

public class ForwardingXMLDefaultHandler extends DefaultHandler implements XMLDefaultHandler
This implementation of an `XMLDefaultHandler` will forward all calls to its delegate.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final XMLDefaultHandler`
`delegate`
The delegate to which we'll forward all calls.

## Constructor Summary

Constructors
Constructor
Description
`ForwardingXMLDefaultHandler(XMLDefaultHandler delegate)`
Creates our forwarding handler given its delegate.

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] arg0, int arg1, int arg2)`
`void`
`comment(char[] arg0, int arg1, int arg2)`
`protected XMLDefaultHandler`
`delegate()`
Returns the delegate instance that methods are forwarded to.
`void`
`endCDATA()`
`void`
`endDocument()`
`void`
`endDTD()`
`void`
`endElement(String arg0, String arg1, String arg2)`
`void`
`endEntity(String arg0)`
`void`
`endPrefixMapping(String arg0)`
`boolean`
`equals(Object arg0)`
`void`
`error(SAXParseException arg0)`
`void`
`fatalError(SAXParseException arg0)`
`int`
`hashCode()`
`void`
`ignorableWhitespace(char[] arg0, int arg1, int arg2)`
`void`
`notationDecl(String arg0, String arg1, String arg2)`
`void`
`prepare(XMLResource resource, XMLHelper helper, Map<?,?> options)`
`void`
`processingInstruction(String arg0, String arg1)`
`void`
`reset()`
`InputSource`
`resolveEntity(String arg0, String arg1)`
`void`
`setDocumentLocator(Locator arg0)`
`void`
`skippedEntity(String arg0)`
`void`
`startCDATA()`
`void`
`startDocument()`
`void`
`startDTD(String arg0, String arg1, String arg2)`
`void`
`startElement(String arg0, String arg1, String arg2, Attributes arg3)`
`void`
`startEntity(String arg0)`
`void`
`startPrefixMapping(String arg0, String arg1)`
`String`
`toString()`
`void`
`unparsedEntityDecl(String arg0, String arg1, String arg2, String arg3)`
`void`
`warning(SAXParseException arg0)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.xml.sax.ContentHandler

`declaration`

## Field Details

### delegate

protected final XMLDefaultHandler delegate
The delegate to which we'll forward all calls.

## Constructor Details

### ForwardingXMLDefaultHandler

public ForwardingXMLDefaultHandler(XMLDefaultHandler delegate)
Creates our forwarding handler given its delegate.

Parameters:
  `delegate` - The delegate instance to forward method calls to.

## Method Details

### delegate

protected XMLDefaultHandler delegate()
Returns the delegate instance that methods are forwarded to.

Returns:
  The delegate instance that methods are forwarded to.

### characters

public void characters(char[] arg0, int arg1, int arg2) throws SAXException

Specified by:
  `characters` in interface `ContentHandler`
Overrides:
  `characters` in class `DefaultHandler`
Throws:
  `SAXException`

### endDocument

public void endDocument() throws SAXException

Specified by:
  `endDocument` in interface `ContentHandler`
Overrides:
  `endDocument` in class `DefaultHandler`
Throws:
  `SAXException`

### endElement

public void endElement(String arg0, String arg1, String arg2) throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `DefaultHandler`
Throws:
  `SAXException`

### endPrefixMapping

public void endPrefixMapping(String arg0) throws SAXException

Specified by:
  `endPrefixMapping` in interface `ContentHandler`
Overrides:
  `endPrefixMapping` in class `DefaultHandler`
Throws:
  `SAXException`

### equals

public boolean equals(Object arg0)

Overrides:
  `equals` in class `Object`

### error

public void error(SAXParseException arg0) throws SAXException

Specified by:
  `error` in interface `ErrorHandler`
Overrides:
  `error` in class `DefaultHandler`
Throws:
  `SAXException`

### fatalError

public void fatalError(SAXParseException arg0) throws SAXException

Specified by:
  `fatalError` in interface `ErrorHandler`
Overrides:
  `fatalError` in class `DefaultHandler`
Throws:
  `SAXException`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### ignorableWhitespace

public void ignorableWhitespace(char[] arg0, int arg1, int arg2) throws SAXException

Specified by:
  `ignorableWhitespace` in interface `ContentHandler`
Overrides:
  `ignorableWhitespace` in class `DefaultHandler`
Throws:
  `SAXException`

### notationDecl

public void notationDecl(String arg0, String arg1, String arg2) throws SAXException

Specified by:
  `notationDecl` in interface `DTDHandler`
Overrides:
  `notationDecl` in class `DefaultHandler`
Throws:
  `SAXException`

### processingInstruction

public void processingInstruction(String arg0, String arg1) throws SAXException

Specified by:
  `processingInstruction` in interface `ContentHandler`
Overrides:
  `processingInstruction` in class `DefaultHandler`
Throws:
  `SAXException`

### resolveEntity

public InputSource resolveEntity(String arg0, String arg1) throws IOException, SAXException

Specified by:
  `resolveEntity` in interface `EntityResolver`
Overrides:
  `resolveEntity` in class `DefaultHandler`
Throws:
  `IOException`
  `SAXException`

### setDocumentLocator

public void setDocumentLocator(Locator arg0)

Specified by:
  `setDocumentLocator` in interface `ContentHandler`
Overrides:
  `setDocumentLocator` in class `DefaultHandler`

### skippedEntity

public void skippedEntity(String arg0) throws SAXException

Specified by:
  `skippedEntity` in interface `ContentHandler`
Overrides:
  `skippedEntity` in class `DefaultHandler`
Throws:
  `SAXException`

### startDocument

public void startDocument() throws SAXException

Specified by:
  `startDocument` in interface `ContentHandler`
Overrides:
  `startDocument` in class `DefaultHandler`
Throws:
  `SAXException`

### startElement

public void startElement(String arg0, String arg1, String arg2, Attributes arg3) throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `DefaultHandler`
Throws:
  `SAXException`

### startPrefixMapping

public void startPrefixMapping(String arg0, String arg1) throws SAXException

Specified by:
  `startPrefixMapping` in interface `ContentHandler`
Overrides:
  `startPrefixMapping` in class `DefaultHandler`
Throws:
  `SAXException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### unparsedEntityDecl

public void unparsedEntityDecl(String arg0, String arg1, String arg2, String arg3) throws SAXException

Specified by:
  `unparsedEntityDecl` in interface `DTDHandler`
Overrides:
  `unparsedEntityDecl` in class `DefaultHandler`
Throws:
  `SAXException`

### warning

public void warning(SAXParseException arg0) throws SAXException

Specified by:
  `warning` in interface `ErrorHandler`
Overrides:
  `warning` in class `DefaultHandler`
Throws:
  `SAXException`

### comment

public void comment(char[] arg0, int arg1, int arg2) throws SAXException

Specified by:
  `comment` in interface `LexicalHandler`
Throws:
  `SAXException`

### endCDATA

public void endCDATA() throws SAXException

Specified by:
  `endCDATA` in interface `LexicalHandler`
Throws:
  `SAXException`

### endDTD

public void endDTD() throws SAXException

Specified by:
  `endDTD` in interface `LexicalHandler`
Throws:
  `SAXException`

### endEntity

public void endEntity(String arg0) throws SAXException

Specified by:
  `endEntity` in interface `LexicalHandler`
Throws:
  `SAXException`

### startCDATA

public void startCDATA() throws SAXException

Specified by:
  `startCDATA` in interface `LexicalHandler`
Throws:
  `SAXException`

### startDTD

public void startDTD(String arg0, String arg1, String arg2) throws SAXException

Specified by:
  `startDTD` in interface `LexicalHandler`
Throws:
  `SAXException`

### startEntity

public void startEntity(String arg0) throws SAXException

Specified by:
  `startEntity` in interface `LexicalHandler`
Throws:
  `SAXException`

### reset

public void reset()

Specified by:
  `reset` in interface `XMLDefaultHandler`

### prepare

public void prepare(XMLResource resource, XMLHelper helper, Map<?,?> options)

Specified by:
  `prepare` in interface `XMLDefaultHandler`